LINUX.ORG.RU

Вышел Catalyst 10.2

 , ,


0

0

Основные изменения:

  • Теперь для ускорения 2D используется новая архитектура
  • Добавлена поддержка Direct2DAccel для 2D
  • Мелкие багфиксы

К сожалению X Server 1.7 пока не поддерживается. Также не устранены проблемы с KWin в KDE.

>>> Подробности

★★★★★

Проверено: maxcom ()

Кому оно нужно? На днях выходит новое ведро с круто переделанным DRM-модулем, ещё три-четыре месяца и с выходом 2.6.34 последние баги в модуле будут выловлены.

// Капча: request torvalds o_O

anonymous ()

> Теперь для ускорения 2D используется новая архитектура

4.2. Она там есть, но выключена. То есть не используется.

While it will not be officially announced with Catalyst 10.2, the Catalyst Linux driver has received a new 2D acceleration architecture. Once this 2D support is improved upon it will likely be switched on by default and then officially announced. The method of enabling the premature 2D acceleration support involves setting a Direct2DAccel key within the DDX portion of the persistent configuration store database.

Manhunt ★★★★★ ()

>К сожалению X Server 1.7 пока не поддерживается. Также не устранены проблемы с KWin в KDE.

вот это релиз, так релиз. как говорят нвидиатролли: производитель должен сам писать дрова. бггггг.

registrant ★★★★★ ()

тем временем скоро будет сервер 1.8.....

Ждем ОГЛ2.1 в опенсорце.

Хоть какой-нибудь

Slackware_user ★★★★★ ()
Ответ на: комментарий от Slackware_user

Думаю ATI пропустит xorg-server 1.7, а сделает сразу 1.8... хотя они такие слоупоки...

daemonpnz ★★★★★ ()

Приветствуем новый кактус!

tr0ll ()
Ответ на: комментарий от daemonpnz

А чего им подрываться и отрабатывать очередные фофанские штучки ?))
Все одно же следствие от причины не отличаете ))

elipse ★★★ ()

Вот так «вышел»... он вообще работать может? или сплошные заглушки натыканы, для будущих поколений?

los_nikos ★★★★★ ()
Ответ на: комментарий от los_nikos

>Вот так «вышел»... он вообще работать может? или сплошные заглушки натыканы, для будущих поколений?

на ворониксе писали, что к версии 10.4 уж точно допилят поддержку иксов 1.7. ну просто стопудово.

registrant ★★★★★ ()
Ответ на: комментарий от los_nikos

Отлично работает под Debian Lenny на HD 2400 , не течет и память как radeon экономно расходует.

elipse ★★★ ()

>Добавлена поддержка Direct2DAccel для 2D

К сожалению X Server 1.7 пока не поддерживается

facepalm

Gary ★★★★★ ()

> К сожалению X Server 1.7 пока не поддерживается.

Это уже начинает надоедать. Реквестирую radeonhd 1.3 в squeeze - тогда сразу перейду на православный opensource.

Chaser_Andrey ★★★★★ ()

Ха, да я его уже на торрентах выложил.

darkshvein ☆☆ ()

К сожалению X Server 1.7 пока не поддерживается.

Да они что там совсем обалдели? Сколько можно то. X Server 1.7 месяца 2-3 назад релизнулся.

n4ela ()
Ответ на: комментарий от Chaser_Andrey

Свершилось! Я перешёл на православный radeonhd! Теперь можно с чистой совестью сказать - fglrx не нужен.

Chaser_Andrey ★★★★★ ()

Давайте разберемся. Вышел, или выехал на инвалидной коляске?

Deleted ()

а вот я решил немного пожевать проприетарный кактус, причём для nvidia. драйвер 64 бит - выйти из иксов нельзя, система виснет. 32 бита - иногда систему всё же можно «погасить» и выключить комп программно.

несмотря на vdpau хочется воткнуть карту ATI (как и делал всегда раньше) с идеально работающим radeonhd.

tommy ★★★★ ()

>К сожалению X Server 1.7 пока не поддерживается

эта фраза уже становится символичной для новостей о Catalyst.

Genuine ★★★ ()

Лучше бы они помогли xorg-video-ati (((

ZeMvlad ()

Проснитесь, чучмеки, православное человечество уже положило на radeonhd. Radeon (xf86-video-ati)!

Ну а fglrx не нужен.

anonymous ()

>К сожалению X Server 1.7 пока не поддерживается. Это самое большое разочарование. Где-то проскользнуло, что X Server 1.7 будет поддерживаться в 10.3 или даже 10.4, но тогда уже будет X Server 1.8.

Как в том мультике прямо: «он и в третий раз ходил за елкой, и добыл ее... Но это было уже весной...»

MikeB ★★★ ()
Ответ на: комментарий от anonymous

У меня Blender так и не заработал нормально на Radeon (xf86-video-ati)

MikeB ★★★ ()

Как всегда при виде слова Catalyst в заголовке новости не знаю какой стороной повернуться к ЛОРу поздравить или посочувствовать ati-юзерам.

spacel0rd ()

Очередной псевдорелиз. Под вендой кактус стал работать нормально, и разработчики взялись помогать ядерщикам и месовцам с православными драйверами?

PayableOnDeath ()

^^

10.2 2/17/2010

You are soooooooooooooooooo sloooooooooooooooooooooow :P

А кактуз такой кактуз, 10.2 пропущу, не жилец оно. Пришлось на 10.1 откатываться.

wherecat ()

>> проблемы с KWin в KDE.

Что сделать, чтобы их получить?

anonymous ()

Слоупок такой слоупок.

anonymous ()

У меня сразу включилась ассоциация с Catalyst Framework на Perl :)

soko1 ★★★★★ ()
Ответ на: комментарий от spacel0rd

> Как всегда при виде слова Catalyst в заголовке новости не знаю какой стороной повернуться к ЛОРу поздравить или посочувствовать ati-юзерам.

Прочитать эпитафию Catalyst-у. ;)

xkitenz ()

не нужно с момента появления 3D в октрытых дровах для серии HD48**. такими темпами и для пятой серии в открытых драйверах всё будет раньше.

duott ★★★★★ ()
Ответ на: комментарий от duott

Подскажите уважаемые, поставил бубунту 10.04.... поставил wine, ради прикола запустил Nexuiz виндовый, и оно таки заработало, но немного притормаживало (Video Radeon 3870), таки попробывал поставить каталист 10.1 - не завелся, гружу драйвер radeon...... рабочий стол появился, но 3Д НЭТ... как вернуть родной 3Д назад?

Serhio79 ()

К сожалению X Server 1.7 пока не поддерживается.

Я даже не знаю что сказать на это. Это равнозначно «к сожалению, ни в одном современном дистрибе это работать не будет». Зачем это вообще выпускать?

На месте атишников я бы официально объявил о кончине fglrx и направил бы весь штат разработчиков, им занимающихся, помогать xf86-video-ati и/или radeonhd.

aix27249 ()

Запрашивает Миша Рыцаревъ

А тогда интересно, а когда нибудь из под wine удастся по-нормальному виндовские драйвера запускать? Либо хоть когда нибудь напишут ли линуксовые дрова так, чтобы и они работали не хуже других?

ua9oas ()
Ответ на: комментарий от Serhio79

>Подскажите уважаемые, поставил бубунту 10.04.... поставил wine, ради прикола запустил Nexuiz виндовый, и оно таки заработало, но немного притормаживало (Video Radeon 3870), таки попробывал поставить каталист 10.1 - не завелся, гружу драйвер radeon...... рабочий стол появился, но 3Д НЭТ... как вернуть родной 3Д назад?

Зря ты так. fglrx отдельные библиотеки своими подменяет. После него опен-сорсные дрова толком уже не работают. Вроде-бы в fglrx должен быть скрипт анинсталла, который все поправит (но тут не уверен, года 3 проприетарными дровами не пользуюсь).

anonymous ()
Ответ на: комментарий от anonymous

Сей скрипт запустил, но обратно он ничего не вернул........(((

В смысле иксы поднимаются, а 3Д нетю.......

Может убить иксы да заново поставить?

10.04 ставил «на посмотреть», важной инфы там нет, проблем с перестановкой тоже, но пытливый ум покоя не дает... Пытался переставить опенсорсные дрова заново, по всяким «камасутрам» и как умею, ничего не помогает....

Serhio79 ()
Ответ на: комментарий от Slackware_user

>libgl или mesa переставь.

АТИшный драйвер ее сносит.

аааа понял, сенкс!!!!

Serhio79 ()
Ответ на: комментарий от Slackware_user

Я перешел спустя пару часов после написанного мной выше поста.

Так и radeonhd, я так понял, R.I.P.?

Chaser_Andrey ★★★★★ ()

Kwin падает с этим драйвером. Работат только на отдельных и очень немоногочисленных дистрибутивах.

anonymous ()
Ответ на: комментарий от Serhio79

а чего-нить вроде гентушного
eselect opengl set xorg
в убунте нет?

petrosha ★★★★★ ()
Ответ на: комментарий от tommy

>а вот я решил немного пожевать проприетарный кактус, причём для nvidia. драйвер 64 бит - выйти из иксов нельзя, система виснет. 32 бита - иногда систему всё же можно «погасить» и выключить комп программно.

ручки пофиксите :)

petrosha ★★★★★ ()

линукс нормально работает только с драйвером vesa. Остальные драйвера поддерживаются мейнтейнерами только для галочки. Дескать смотрите у нас все как у взрослых, для нас тоже пишут проприетарные драйвера!

anonymous ()
Ответ на: комментарий от anonymous

anonymous> Проснитесь, чучмеки, православное человечество уже положило на radeonhd. Radeon (xf86-video-ati)!

Ссылку в студию! А то я radeonhd пользовался, и fglrx поставил. На radeonhd два нарекания: не идёт SL и при переключении в консоль чёрный экран, который ничего не показывает.

На fglrx только одно: нет поддержки 16-битноо цвета (надо для игры в Might and Magic VII). Поэтому попеременно использую оба драйвера.

Quasar ★★★★★ ()

и это в то время когда Nvidia просто работает..

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.